<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sundot.airport.system.mapper.BaseCodeGeneratorMapper">

    <!--    更新编码code自增-->
    <update id="replaceIntoBaseCodeGenerator">
        replace
        into base_code_generator (stub) values (
        #{stub}
        )
    </update>

    <!--    查询编码code自增-->
    <select id="getNextCodeGenerator">
        select last_insert_id()
    </select>

</mapper>